<?php
class viewkatlist{
	var $id;

	function listkategori(){
        $list = mysql_query("SELECT * FROM kategori_list ORDER BY id_katlist");

        while ($p = mysql_fetch_array($list)){
            $data[$i] = array(
                        'id' => $p[id_katlist],
                        'nama' => $p[nama],
                        'tag' => $p[tag]
                     );
            
            $i++;
        }
        
        return($data);
        
    }

    function katlist(){
        $list = mysql_query("SELECT * FROM kategori_list WHERE id_katlist = $this->id");
        $p = mysql_fetch_array($list);
        
        $data = array(
                        'id' => $p[id_katlist],
                        'nama' => $p[nama],
                        'tag' => $p[tag]
                     );
        
        return($data);
        
    }

    function katlisttag($tag){
        $list = mysql_query("SELECT * FROM kategori_list WHERE tag = '$tag'");
        $p = mysql_fetch_array($list);
        
        $data = array(
                        'id' => $p[id_katlist],
                        'nama' => $p[nama],
                        'tag' => $p[tag]
                     );
        
        return($data);
        
    }

    function addkatlist($nama,$tag){
        $tgl = date("d-m-Y");

        mysql_query("INSERT INTO kategori_list( nama,
                                                tag,
                                                dateadd,
                                                dateedit) 
                                                VALUES(
                                                '$nama',
                                                '$tag',
                                                STR_TO_DATE('$tgl','%d-%m-%Y'),
                                                STR_TO_DATE('$tgl','%d-%m-%Y'))");
    }

    function editkatlist($nama){
        $tgl = date("d-m-Y");
        $tag = str_replace(" ", "-", $nama);
        
        mysql_query("UPDATE kategori_list   SET nama            = '$nama',
                                                tag             = '$tag',
                                                dateedit        =  STR_TO_DATE('$tgl','%d-%m-%Y')
                                                WHERE 
                                                id_katlist      = $this->id");
    }

    function deletekatlist(){
        mysql_query("DELETE FROM kategori_list where id_katlist = $this->id");
    }
}